服务支持

loophole

安全补丁公告

当前位置  >  首页  >  服务支持  >  安全补丁公告

公告ID(KYSA-202109-1010

摘要:krb5漏洞 安全等级:中等 公告ID:KYSA-202109-1010 发布日期:2021-09-03 影响CVE:CVE-2021-36222

详细介绍

1. 修复的CVE信息

  • CVE-2021-36222

    描述:在 MIT krb5 版本 1.16 及更高版本中,未经身份验证的攻击者可以通过发送包含 PA-ENCRYPTED-CHALLENGE padata 元素的请求而不使用 FAST,从而导致 KDC 中的空引用。


2. 影响的操作系统及修复版本

  • 银河麒麟高级服务器操作系统 V10 SP2

krb5-1.18.2-4.ky10

krb5-client-1.18.2-4.ky10

krb5-debugsource-1.18.2-4.ky10

krb5-devel-1.18.2-4.ky10

krb5-help-1.18.2-4.ky10

krb5-libs-1.18.2-4.ky10

krb5-server-1.18.2-4.ky10


3. 受影响的软件包

  • 银河麒麟高级服务器操作系统 V10 SP2

aarch64:krb5、krb5-client、krb5-debugsource、krb5-devel、krb5-help、krb5-libs、krb5-server

x86_64:krb5、krb5-client、krb5-debugsource、krb5-devel、krb5-help、krb5-libs、krb5-server


4. 修复方法

方法一:配置源进行升级安装

1.打开软件包源配置文件,根据仓库地址进行修改。

仓库源地址:银河麒麟高级服务器操作系统 V10 SP2

aarch64:http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/

x86_64:http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/

2.配置完成后执行更新命令进行升级,命令如下:yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:yum install Packagename


5. 软件包下载地址

  • 银河麒麟高级服务器操作系统 V10 SP2

 krb5 aarch64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/krb5-1.18.2-4.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/krb5-client-1.18.2-4.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/krb5-debugsource-1.18.2-4.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/krb5-devel-1.18.2-4.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/krb5-help-1.18.2-4.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/krb5-libs-1.18.2-4.ky10.aarch64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/krb5-server-1.18.2-4.ky10.aarch64.rpm

 krb5 x86_64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/krb5-1.18.2-4.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/krb5-client-1.18.2-4.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/krb5-debugsource-1.18.2-4.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/krb5-devel-1.18.2-4.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/krb5-help-1.18.2-4.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/krb5-libs-1.18.2-4.ky10.x86_64.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/krb5-server-1.18.2-4.ky10.x86_64.rpm

注:其他相关依赖包请到相同目录下载

 




上一篇: KYSA-202109-1009 下一篇: KYSA-202109-1011

试用

服务

动态

联系